LibreOffice LibreOffice 25.8 SDK API Reference

Modules | Variables
CTLScriptType.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::i18n
| Interface for internationalization.

## Constant Groups
constants | com::sun::star::i18n::CTLScriptType
| CTL script type constants for layout engine, returned by XScriptTypeDetector::getCTLScriptType()

## Variables
const short | CTL_UNKNOWN = 0
| For CTL scripts OOo currently does not support or could not handle. More...
const short | CTL_HEBREW = 1
| For Hebrew script. More...
const short | CTL_ARABIC = 2
| For Arabic script. More...
const short | CTL_THAI = 3
| For Thai script. More...
const short | CTL_INDIC = 4
| For Indic script (including Devanagari, Tamil, Telugu and Gujarati script) More...